Bug 967465 - [abrt] youtube-dl-2013.05.14-1.fc18: InfoExtractors.py:1719:_real_extract:AttributeError: 'NoneType' object has no attribute 'group'
[abrt] youtube-dl-2013.05.14-1.fc18: InfoExtractors.py:1719:_real_extract:Att...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:c1e0a8d9c5089f850f5f14da2bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 04:37 EDT by teythis
Modified: 2013-07-21 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2013-05-27 04:37 EDT, teythis
no flags Details
File: core_backtrace (637 bytes, text/plain)
2013-05-27 04:37 EDT, teythis
no flags Details
File: environ (3.22 KB, text/plain)
2013-05-27 04:37 EDT, teythis
no flags Details

  None (edit)
Description teythis 2013-05-27 04:37:10 EDT
Description of problem:
extracting titles and URL's with generic extractor

Version-Release number of selected component:
youtube-dl-2013.05.14-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/bin/youtube-dl -eg http://a.blip.tv/api.swf#h6Uag5KbVwI
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/youtube-dl
kernel:         3.9.2-200.fc18.x86_64
runlevel:       N 5
uid:            500

Truncated backtrace:
InfoExtractors.py:1719:_real_extract:AttributeError: 'NoneType' object has no attribute 'group'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 603, in main
    _real_main(argv)
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 587, in _real_main
    retcode = fd.download(all_urls)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 705, in download
    videos = self.extract_info(url)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 461, in extract_info
    ie_result = ie.extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 96, in extract
    return self._real_extract(url)
  File "/usr/bin/youtube-dl/youtube_dl/InfoExtractors.py", line 1719, in _real_extract
    page_base = page_base % mobj.group(1)
AttributeError: 'NoneType' object has no attribute 'group'

Local variables in innermost frame:
username: 'api.swf#h6Uag5KbVwI'
mobj: None
url: 'http://a.blip.tv/api.swf#h6Uag5KbVwI'
page_base: 'http://m.blip.tv/pr/show_get_full_episode_list?users_id=%s&lite=0&esi=1'
self: <youtube_dl.InfoExtractors.BlipTVUserIE object at 0x121e9d0>
page: u'FWS\t$\x00\x00\x00x\x00\x05_\x00\x00\x0f\ufffd\x00\x00\x0c\x01\x00D\x11\x08\x00\x00\x00C\x02\ufffd\ufffd\ufffd@\x00\x00\x00'
Comment 1 teythis 2013-05-27 04:37:15 EDT
Created attachment 753520 [details]
File: backtrace
Comment 2 teythis 2013-05-27 04:37:19 EDT
Created attachment 753521 [details]
File: core_backtrace
Comment 3 teythis 2013-05-27 04:37:24 EDT
Created attachment 753522 [details]
File: environ

Note You need to log in before you can comment on or make changes to this bug.